// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or vendor/assets/javascripts of plugins, if any, can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// the compiled file.
//
// WARNING: THE FIRST BLANK LINE MARKS THE END OF WHAT'S TO BE PROCESSED, ANY BLANK LINE SHOULD
// GO AFTER THE REQUIRES BELOW.
//
//= require jquery
//= require jquery_ujs

//= require ./shared/jquery.masonry.min.js



function preload(arrayOfImages) {
    $(arrayOfImages).each(function(){
        (new Image()).src = this;
   	 	
    });
}





$(document).ready(function(){
	
	$('.miniatures').click(function (){
	
		$("#small_index").toggleClass("active");
	});
	$(document).keydown(function(e){
	    if (e.keyCode == 37) { 
	       $("#prev").click();
	       return false;
	    }
	    if (e.keyCode == 39) { 
	       $("#next").click();
	       return false;
	    }
	});
	
	
	

	var $container = $('#index_images');

	$container.imagesLoaded( function(){
	  $container.masonry({
	    itemSelector : '.box',
  isAnimated: true,
  isFitWidth: true
	  });
	});


});

